<template>
  <span class="flex-grow-1 py-1">
    {{ formatedValue }}
  </span>
</template>

<script>
import moment from 'moment'
import { Util } from 'leaflet'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'

export default {
  name: 'tablewindintdataitem',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    date: {
      type: Number,
      required: true,
    },

    hour: {
      type: Number,
      required: true,
    },
  },

  computed: {
    query: {
      get() {
        return this.$store.getters.workspaceQuery(this.workspaceId)
      }
    },

    time: {
      get() {
        return moment.unix(this.date).add(this.hour, 'hours').format('YYYY-MM-DDTHH:00:00+00:00')
      }
    },

    value: {
      get() {
        //let x = this.query.data['ecmwf.wind_u.atlantic'][this.time]['surface']
        //let y = this.query.data['ecmwf.wind_v.atlantic'][this.time]['surface']
        //return Math.sqrt(x*x + y*y) * 3.6
        return this.query.data['ecmwf.wind_intensity.atlantic'][this.time]['surface'] * 3.6
      }
    },

    formatedValue: {
      get() {
        return Util.formatNum(this.value, 1)
      }
    },
  }
}
</script>
